diff --git a/tests/scripts/test022-ppolicy b/tests/scripts/test022-ppolicy
index 81cd6fadaa8b62c112ad217a3e8a38d36169d049..9704730c0ca3fa761d6542a395add0ce1b3a4070 100755
--- a/tests/scripts/test022-ppolicy
+++ b/tests/scripts/test022-ppolicy
@@ -538,6 +538,13 @@ sleep $SLEEP1
 
 echo "Testing policy state forwarding..."
 $LDAPSEARCH -H $URI2 -D "$USER" -w wrongpw >$SEARCHOUT 2>&1
+RC=$?
+if test $RC != 49 ; then
+	echo "ldapsearch should have failed with 49, got ($RC)!"
+	test $KILLSERVERS != no && kill -HUP $KILLPIDS
+	exit 1
+fi
+
 $LDAPSEARCH -H $URI1 -D "$MANAGERDN" -w $PASSWD -b "$USER" \* \+ >> $SEARCHOUT 2>&1
 COUNT=`grep "pwdFailureTime" $SEARCHOUT | wc -l`
 if test $COUNT != 1 ; then